#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file '/builddir/build/BUILD/kdesvn-0.11.2/src/settings/subversion_settings.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "/builddir/build/BUILD/kdesvn-0.11.2/kdesvn-build/src/settings/subversion_settings.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "knuminput.h"

/*
 *  Constructs a SubversionSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SubversionSettings::SubversionSettings( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SubversionSettings" );
    SubversionSettingsLayout = new QVBoxLayout( this, 11, 6, "SubversionSettingsLayout"); 

    kcfg_start_updates_check_on_open = new QCheckBox( this, "kcfg_start_updates_check_on_open" );
    SubversionSettingsLayout->addWidget( kcfg_start_updates_check_on_open );

    kcfg_details_on_remote_listing = new QCheckBox( this, "kcfg_details_on_remote_listing" );
    SubversionSettingsLayout->addWidget( kcfg_details_on_remote_listing );

    kcfg_info_recursive = new QCheckBox( this, "kcfg_info_recursive" );
    SubversionSettingsLayout->addWidget( kcfg_info_recursive );

    kcfg_display_ignored_files = new QCheckBox( this, "kcfg_display_ignored_files" );
    SubversionSettingsLayout->addWidget( kcfg_display_ignored_files );

    kcfg_store_passwords = new QCheckBox( this, "kcfg_store_passwords" );
    SubversionSettingsLayout->addWidget( kcfg_store_passwords );

    kcfg_log_follows_nodes = new QCheckBox( this, "kcfg_log_follows_nodes" );
    SubversionSettingsLayout->addWidget( kcfg_log_follows_nodes );

    kcfg_log_always_list_changed_files = new QCheckBox( this, "kcfg_log_always_list_changed_files" );
    SubversionSettingsLayout->addWidget( kcfg_log_always_list_changed_files );

    kcfg_review_commit = new QCheckBox( this, "kcfg_review_commit" );
    SubversionSettingsLayout->addWidget( kcfg_review_commit );

    kcfg_maximum_displayed_logs = new KIntNumInput( this, "kcfg_maximum_displayed_logs" );
    kcfg_maximum_displayed_logs->setMinValue( 0 );
    SubversionSettingsLayout->addWidget( kcfg_maximum_displayed_logs );
    spacer7 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SubversionSettingsLayout->addItem( spacer7 );
    languageChange();
    resize( QSize(345, 280).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SubversionSettings::~SubversionSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SubversionSettings::languageChange()
{
    setCaption( tr2i18n( "Subversion Settings" ) );
    kcfg_start_updates_check_on_open->setText( tr2i18n( "Start check for updates when open a working copy" ) );
    kcfg_start_updates_check_on_open->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( kcfg_start_updates_check_on_open, tr2i18n( "Select if kdesvn should check for updates when open a working copy" ) );
    kcfg_details_on_remote_listing->setText( tr2i18n( "Get file details while remote listing" ) );
    kcfg_details_on_remote_listing->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( kcfg_details_on_remote_listing, tr2i18n( "Whether getting details about items when making listing on repositories or not" ) );
    QWhatsThis::add( kcfg_details_on_remote_listing, tr2i18n( "<p align=\"left\">When checked, kdesvn get more detailed info about file items when making a listing to remote repositories. So you may see remote locks in overview.\n"
"</p>\n"
"<p align=\"left\"><i>Be careful: This may let listings REAL slow!</i></p>" ) );
    kcfg_info_recursive->setText( tr2i18n( "Gain item info recursive" ) );
    kcfg_display_ignored_files->setText( tr2i18n( "Display ignored files" ) );
    kcfg_display_ignored_files->setAccel( QKeySequence( QString::null ) );
    kcfg_store_passwords->setText( tr2i18n( "Store passwords for remote connections" ) );
    QToolTip::add( kcfg_store_passwords, tr2i18n( "Should subversion store passwords in default" ) );
    QWhatsThis::add( kcfg_store_passwords, tr2i18n( "Storing passwords is often a security problem. Kdesvn itself doesn't store any passwords, but the subversion itself inside the configuration area of subversion. If this area is readable from others you should not set it, but you may select for single non critical accounts inside the authentication dialog." ) );
    kcfg_log_follows_nodes->setText( tr2i18n( "Log follows node changes" ) );
    kcfg_log_follows_nodes->setAccel( QKeySequence( QString::null ) );
    kcfg_log_always_list_changed_files->setText( tr2i18n( "Logs always reads list of changed files" ) );
    QToolTip::add( kcfg_log_always_list_changed_files, tr2i18n( "Read detailed change lists" ) );
    QWhatsThis::add( kcfg_log_always_list_changed_files, tr2i18n( "Reading lists of changed files may sometimes a little bit slow down things. But if this feature is switched off, kdesvn may fail generating differences between nodechanges from within the logviewer." ) );
    kcfg_review_commit->setText( tr2i18n( "Review items before commit" ) );
    kcfg_review_commit->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( kcfg_review_commit, tr2i18n( "List items next commit will send or not" ) );
    kcfg_maximum_displayed_logs->setLabel( tr2i18n( "Maximum displayed logs when full log (0 for no limit)" ) );
}

